Download it now!
Bug 71652 - UI: Parameter use description
Summary: UI: Parameter use description
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: All All
: lowest trivial
Assignee: Joel Madero
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 16:03 UTC by John Smith
Modified: 2014-04-01 00:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot showing the text. (8.18 KB, image/png)
2013-11-15 16:03 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-11-15 16:03:31 UTC
Created attachment 89276 [details]
A screenshot showing the text.

Problem description: 
The parameter description for 'No thousands separator' in the FIXED function is overly complicated and confusing.
Steps to reproduce:
1. Open an instance of Calc, launch the Function Wizard and double-click on the FIXED function.
2. Click in the 'No thousands separator' input box to bring upt the explanation in the wizard.


Current behavior:The current text is displayed, quite correctly.

Expected behavior:
To simplify this text and explicitly explain the point of the parameter, alter the text to something like;
'Thousands separator. If 0 or omitted the locale group separator is used else the separator is suppressed.'


I appreciate this is not a defect as such but the current text is very poor. I don't know of any other way to bring this up than as a bug.
              
Operating System: Windows XP
Version: 4.1.3.2 release
Comment 1 Joel Madero 2013-11-15 18:39:43 UTC
Do you mean replacing:

No thousands separator. True value, if existing and TRUE (unequal to 0), no thousands separators are set.

with 

Thousands separator. If 0 or omitted the locale group separator is used else the separator is suppressed.


??
Comment 2 Joel Madero 2013-11-15 19:02:20 UTC
Assuming that's the case, submitting patch now
Comment 3 Joel Madero 2013-11-15 19:10:35 UTC
Patch submitted - upon review 4.2 should show the new text
Comment 4 John Smith 2013-11-15 22:50:59 UTC
(In reply to comment #1)
> Do you mean replacing:
> 
> No thousands separator. True value, if existing and TRUE (unequal to 0), no
> thousands separators are set.
> 
> with 
> 
> Thousands separator. If 0 or omitted the locale group separator is used else
> the separator is suppressed.
> 
> 
> ??

Yes that's correct. Thank you for prompt attention.
Comment 5 Commit Notification 2013-11-17 06:56:09 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42463328f5803d7d34a3bb05fbe1e24cdc02dff8

fdo#71652 - change thousand separate description



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.